"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Tools_1 = require("./Json/Tools");
const finalResources = {
    displayName: 'Resource',
    name: 'resource',
    type: 'options',
    default: 'account',
    description: 'Field to consume.',
    options: [],
};
function capitalize(str) {
    if (!str) {
        return '';
    }
    else {
        return str.charAt(0).toUpperCase() + str.slice(1);
    }
}
const options = [];
const resources = [];
for (const tool of Tools_1.tools.processors) {
    for (const param of tool.p) {
        const name = param.n.replace(/[0-9]/g, '').replace("_from", "").replace("_to", "");
        if (resources.indexOf(name) === -1) {
            resources.push(name);
        }
    }
}
resources.sort();
for (const resource of resources) {
    const item = {
        name: capitalize(resource.replace("_", " ")),
        value: resource,
        description: 'The "' + capitalize(resource) + '" resource allows you to filter tools using this parameter',
    };
    options.push(item);
}
finalResources.options = options;
const mappedResources = [finalResources];
exports.resourceOptions = mappedResources;
//# sourceMappingURL=ResourceDescription.js.map